MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClRsa_Key Struct Reference
mcuxClRsa » mcuxClRsa_Types

Structure type for Rsa key, specifying key type and key entries. More...

`#include <mcuxClRsa_Types.h>`

## Data Fields
uint32_t | keytype
| Key type specifier: More...
mcuxClRsa_KeyEntry | pMod1
| Pointer to first key entry: More...
mcuxClRsa_KeyEntry | pMod2
| Pointer to second key entry: More...
mcuxClRsa_KeyEntry | pQInv
| Pointer to third key entry: More...
mcuxClRsa_KeyEntry | pExp1
| Pointer to fourth key entry: More...
mcuxClRsa_KeyEntry | pExp2
| Pointer to fifth key entry: More...
mcuxClRsa_KeyEntry | pExp3
| Pointer to sixth key entry: More...

## Detailed Description

Structure type for Rsa key, specifying key type and key entries.

Examples
  mcuxClRsa_sign_NoEncode_example.c, mcuxClRsa_sign_pss_sha2_256_example.c, mcuxClRsa_verify_NoVerify_example.c, and mcuxClRsa_verify_pssverify_sha2_256_example.c.

## Field Documentation

## ◆ keytype

uint32_t mcuxClRsa_Key::keytype

Key type specifier:

In case of an RSA public key this shall be set to MCUXCLRSA_KEY_PUBLIC. In case of an RSA private plain key this shall be set to MCUXCLRSA_KEY_PRIVATEPLAIN. In case of an RSA private CRT key this shall be set to MCUXCLRSA_KEY_PRIVATECRT. In case of an RSA private CRT key, with which a fault-protected CRT operation is executed, this shall be set to MCUXCLRSA_KEY_PRIVATECRT_DFA

Examples
  mcuxClRsa_sign_NoEncode_example.c, mcuxClRsa_sign_pss_sha2_256_example.c, mcuxClRsa_verify_NoVerify_example.c, and mcuxClRsa_verify_pssverify_sha2_256_example.c.

## ◆ pMod1

mcuxClRsa_KeyEntry mcuxClRsa_Key::pMod1

Pointer to first key entry:

In case of MCUXCLRSA_KEY_PUBLIC and MCUXCLRSA_KEY_PRIVATEPLAIN the first key entry points to the public parameter modulus N. In case of MCUXCLRSA_KEY_PRIVATECRT and MCUXCLRSA_KEY_PRIVATECRT_DFA the first key entry points to the private parameter prime factor P.

## ◆ pMod2

mcuxClRsa_KeyEntry mcuxClRsa_Key::pMod2

Pointer to second key entry:

In case of MCUXCLRSA_KEY_PUBLIC and MCUXCLRSA_KEY_PRIVATEPLAIN this pointer shall be set to NULL. In case of MCUXCLRSA_KEY_PRIVATECRT and MCUXCLRSA_KEY_PRIVATECRT_DFA the second key entry points to the private parameter prime factor Q.

## ◆ pQInv

mcuxClRsa_KeyEntry mcuxClRsa_Key::pQInv

Pointer to third key entry:

In case of MCUXCLRSA_KEY_PUBLIC and MCUXCLRSA_KEY_PRIVATEPLAIN this pointer shall be set to NULL. In case of MCUXCLRSA_KEY_PRIVATECRT and MCUXCLRSA_KEY_PRIVATECRT_DFA the third key entry points to the private parameter QInv (1 / (Q % P)).

## ◆ pExp1

mcuxClRsa_KeyEntry mcuxClRsa_Key::pExp1

Pointer to fourth key entry:

In case of MCUXCLRSA_KEY_PUBLIC the first exponent entry points to the public parameter exponent E. In case of MCUXCLRSA_KEY_PRIVATEPLAIN the first exponent entry points to the private parameter exponent D. In case of MCUXCLRSA_KEY_PRIVATECRT and MCUXCLRSA_KEY_PRIVATECRT_DFA the first exponent entry points to the private parameter DP = D % (P-1).

## ◆ pExp2

mcuxClRsa_KeyEntry mcuxClRsa_Key::pExp2

Pointer to fifth key entry:

In case of MCUXCLRSA_KEY_PUBLIC and MCUXCLRSA_KEY_PRIVATEPLAIN this pointer shall be set to NULL. In case of MCUXCLRSA_KEY_PRIVATECRT and MCUXCLRSA_KEY_PRIVATECRT_DFA the second exponent entry points to the private parameter DQ = D % (Q-1).

## ◆ pExp3

mcuxClRsa_KeyEntry mcuxClRsa_Key::pExp3

Pointer to sixth key entry:

In case of MCUXCLRSA_KEY_PUBLIC, MCUXCLRSA_KEY_PRIVATEPLAIN, and MCUXCLRSA_KEY_PRIVATECRT this pointer shall be set to NULL. In case of MCUXCLRSA_KEY_PRIVATECRT_DFA the third exponent entry points to the public parameter exponent E.